Index: trunk/SophyaLib/SysTools/Makefile
===================================================================
--- trunk/SophyaLib/SysTools/Makefile	(revision 3605)
+++ trunk/SophyaLib/SysTools/Makefile	(revision 3615)
@@ -15,5 +15,7 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)srandgen.h
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
  
@@ -35,9 +37,10 @@
   $(SOPHYAINCP)strutilxx.h cexpre.h \
   $(SOPHYAINCP)pexceptions.h rpneval.h \
-  $(SOPHYAINCP)srandgen.h zthread.h
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h zthread.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ctimer.h
+$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h ctimer.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
@@ -70,5 +73,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)srandgen.h
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
Index: trunk/SophyaLib/SysTools/cexpre.cc
===================================================================
--- trunk/SophyaLib/SysTools/cexpre.cc	(revision 3605)
+++ trunk/SophyaLib/SysTools/cexpre.cc	(revision 3615)
@@ -220,5 +220,5 @@
 static double _CE_rand01() { return drand01(); }
 static double _CE_randpm1() { return drandpm1(); }
-static double _CE_gaurand() { return GauRnd(0., 1.); }
+static double _CE_gaurand() { return Gaussian(1.,0.); }
 //---------------------------------------------------------
 CE_FuncExp::CE_FuncExp(string const & func)
Index: trunk/SophyaLib/SysTools/commander.cc
===================================================================
--- trunk/SophyaLib/SysTools/commander.cc	(revision 3605)
+++ trunk/SophyaLib/SysTools/commander.cc	(revision 3615)
@@ -584,5 +584,5 @@
 kw = "autoiniranf";
 usage  = "> Automatic random number generator initialisation\n";
-usage += "   by Auto_Ini_Ranf(int lp) \n";
+usage += "   by AutoInitRand(int lp) \n";
 usage += "   Usage: autoiniranf";
 RegisterCommand(kw, usage, NULL, grp);
@@ -1955,5 +1955,5 @@
   }
 else if (kw == "autoiniranf") { 
-  Auto_Ini_Ranf(1);
+  AutoInitRand(1);
   return(0);
 }
Index: trunk/SophyaLib/SysTools/rpneval.cc
===================================================================
--- trunk/SophyaLib/SysTools/rpneval.cc	(revision 3605)
+++ trunk/SophyaLib/SysTools/rpneval.cc	(revision 3615)
@@ -238,5 +238,5 @@
     }
     else if (args[k] == "gaurand") { 
-      double rnd = GauRnd(0., 1.);
+      double rnd = Gaussian(1.,0.);
       rpnstack_.push(rnd);
     }
Index: trunk/SophyaLib/SysTools/smakefile
===================================================================
--- trunk/SophyaLib/SysTools/smakefile	(revision 3605)
+++ trunk/SophyaLib/SysTools/smakefile	(revision 3615)
@@ -15,5 +15,7 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)srandgen.h
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
  
@@ -35,9 +37,10 @@
   $(SOPHYAINCP)strutilxx.h cexpre.h \
   $(SOPHYAINCP)pexceptions.h rpneval.h \
-  $(SOPHYAINCP)srandgen.h zthread.h
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h zthread.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ctimer.h
+$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h ctimer.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
@@ -70,5 +73,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)srandgen.h
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
